cURL
curl https://api.aiql.io/workspaces \
-H "Authorization: Bearer $AIQL_API_KEY"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
workspaces = client.workspaces.list()import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const workspaces = await client.workspaces.list();{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workspaces
List Workspaces
GET
/
workspaces
cURL
curl https://api.aiql.io/workspaces \
-H "Authorization: Bearer $AIQL_API_KEY"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
workspaces = client.workspaces.list()import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const workspaces = await client.workspaces.list();{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.